Bug 97341 - CAN-2003-0367 tmpfile symlink race in znew
Summary: CAN-2003-0367 tmpfile symlink race in znew
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gzip (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Ben Levenson
URL: http://cve.mitre.org/cgi-bin/cvename....
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-13 12:44 UTC by Mark J. Cox
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-24 20:41:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2003-06-13 12:44:46 UTC
Paul Szabo discovered that znew, a script included in the gzip
package, creates its temporary files without taking precautions to
avoid a symlink attack (CAN-2003-0367).  gzexe had a similar
vulnerability a while ago, CVE-1999-1332.

Not yet investigated if this affects RHL or which versions.

Comment 1 Jeff Johnson 2003-06-24 20:41:00 UTC
The znew in gzip-1.3.3 does not use /tmp files.


Note You need to log in before you can comment on or make changes to this bug.